Package Details: webapp-manager-git 1.0.5.r61.42eb60e-1

Git Clone URL: https://aur.archlinux.org/webapp-manager-git.git (read-only, click to copy)
Package Base: webapp-manager-git
Description: Run websites as if they were apps.
Upstream URL: https://github.com/linuxmint/webapp-manager
Licenses: GPL
Conflicts: ice-dev, ice-ssb, webapp-manager
Provides: webapp-manager
Submitter: yochananmarqos
Maintainer: yochananmarqos
Last Packager: yochananmarqos
Votes: 1
Popularity: 0.168972
First Submitted: 2020-09-01 17:29
Last Updated: 2020-10-01 14:49

Latest Comments

1 2 Next › Last »

yochananmarqos commented on 2020-09-17 22:52

@LeoFa: Thanks. If it wasn't for those pesky browser symlinks. I haven't found a way around them yet, unfortunately.

LeoFa commented on 2020-09-17 13:14

please add python-pillow is a dependency; couldn't start without; also conflicts with ice-dev AUR package (probably also with other SSB packages in AUR), maybe add conflict handling also, thanks for the work.

yochananmarqos commented on 2020-09-02 16:36

@csts: This is a WIP that just begun, not a final product. See here.

Tio commented on 2020-09-02 16:27

Yup works now thanks!

csts commented on 2020-09-02 15:57

It installed fine now but there are issues that should be addressed to the author's github. Probably because this package comes from Debian, the Chrome link doesn't work (in webapp-manager.py) and it can't find existing Firefox profiles.

A better alternative with more features exists in AUR, called workspaces.

yochananmarqos commented on 2020-09-02 15:32

@Tio: xapps is now xapp. Since xapp provides xapps, I can change it for compatibility.

Tio commented on 2020-09-02 15:15

Error:

Failed to prepare transaction:
could not satisfy dependencies:
- unable to satisfy dependency 'xapp' required by webapp-manager-git
Resolving dependencies...
Warning: cannot resolve "xapp", a dependency of "webapp-manager-git"
Failed to prepare transaction:
could not satisfy dependencies:
- unable to satisfy dependency 'xapp' required by webapp-manager-git
Transaction cancelled.

yochananmarqos commented on 2020-09-02 13:57

@csts: It was python-beautifulsoup4, added.

csts commented on 2020-09-02 04:53

Tried installing python-bs4 and python2-bs4 to fix this but it doesn't work:

~ ❯❯❯ webapp-manager  
~ ❯❯❯ Traceback (most recent call last):  
  File "/usr/lib/webapp-manager/webapp-manager.py", line 22, in <module>  
    from common import _async, idle, WebAppManager, STATUS_OK, download_favicon, ICONS_DIR  
  File "/usr/lib/webapp-manager/common.py", line 192, in <module>  
    import bs4  
ModuleNotFoundError: No module named 'bs4'

yochananmarqos commented on 2020-09-01 22:27

@csts: Fixed.